#
# spec file for package rubygem-gem2rpm
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%bcond_without  gem2rpm_bootstrap
%bcond_with     ruby18
%bcond_with     ruby19
%bcond_with     ruby20
%bcond_with     ruby21
%bcond_with     ruby22
%bcond_with     rubinius22

Name:           rubygem-gem2rpm
Version:        0.10.1
Release:        5.9
%define mod_name gem2rpm
%define mod_full_name %{mod_name}-%{version}
%define mod_branch -%{version}
%define mod_weight 1001
#define rb_build_versions %{rb_default_ruby}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
%if %{with gem2rpm_bootstrap}
#!BuildIgnore:  rubygem(gem2rpm) rubygem(ruby:2.1.0:gem2rpm) rubygem(ruby:2.2.0:gem2rpm) rubygem(rbx:2.2:gem2rpm)
%else
BuildRequires:  %{rubygem gem2rpm}
%endif
BuildRequires:  update-alternatives
Url:            https://github.com/lutter/gem2rpm/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml.documentation
Source2:        gem2rpm-opensuse
Source3:        series
Patch0:         0001-use-the-ID-from-os-release-to-use-the-proper-templat.patch
Patch1:         0002-added-basic-config-file-support-to-gem2rpm-in-yaml-f.patch
Patch2:         0003-sle-12-templates.-they-require-the-config-file-suppo.patch
Patch3:         0004-openSUSE-template-fixes.patch
Patch4:         0005-added-example-gem2rpm.yml.patch
Patch5:         0006-properly-shorten-description-and-summary.patch
Patch6:         0007-Preserve-the-license-header-found-in-the-output-file.patch
Patch7:         0008-dont-allow-suffixes-with-just-a-plain-number.-prefix.patch
Summary:        Generate rpm specfiles from gems
License:        GPL-2.0+
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Generate source rpms and rpm spec files from a Ruby Gem. 
The spec file tries to follow the gem as closely as possible

%prep
%gem_unpack
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%gem_build

%install
%gem_install -f --symlink-binaries --doc-files="AUTHORS LICENSE README"
for i in %{buildroot}%{_docdir}/*rubygem-gem2rpm*/ ; do
  install -m 0644 %{S:1} $i/gem2rpm.yml
  install -m 0644 %{mod_full_name}/templates/sles12*.spec.erb $i/
done

%if %{with gem2rpm_bootstrap}
%if %{with ruby21}
%package -n ruby2.1-rubygem-gem2rpm
Summary:        Generate rpm specfiles from gems
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description -n ruby2.1-rubygem-gem2rpm
Generate source rpms and rpm spec files from a Ruby Gem. 
The spec file tries to follow the gem as closely as possible

%package -n ruby2.1-rubygem-gem2rpm-doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       ruby2.1-rubygem-gem2rpm = %{version}

%description -n ruby2.1-rubygem-gem2rpm-doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.


%post -n ruby2.1-rubygem-gem2rpm
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm         gem2rpm         %{_bindir}/gem2rpm.ruby2.1-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm-%{version}   gem2rpm-%{version}   %{_bindir}/gem2rpm.ruby2.1-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm.ruby2.1 gem2rpm.ruby2.1 %{_bindir}/gem2rpm.ruby2.1-%{version} %{mod_weight}

%preun -n ruby2.1-rubygem-gem2rpm
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove gem2rpm          %{_bindir}/gem2rpm.ruby2.1-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm-%{version}    %{_bindir}/gem2rpm.ruby2.1-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm.ruby2.1  %{_bindir}/gem2rpm.ruby2.1-%{version}
fi

%files -n ruby2.1-rubygem-gem2rpm
%defattr(-,root,root,-)
%{_docdir}/ruby2.1-rubygem-gem2rpm
#{_bindir}/gem2rpm-opensuse
%{_bindir}/gem2rpm.ruby2.1-%{version}
%ghost %{_bindir}/gem2rpm.ruby2.1
%ghost %{_bindir}/gem2rpm-%{version}
%ghost %{_bindir}/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm.ruby2.1
%ghost %{_sysconfdir}/alternatives/gem2rpm-%{version}
# cache file
%{_libdir}/ruby/gems/2.1.0/cache/gem2rpm-%{version}.gem
%{_libdir}/ruby/gems/2.1.0/gems/gem2rpm-%{version}
%{_libdir}/ruby/gems/2.1.0/specifications/gem2rpm-%{version}.gemspec

%files -n ruby2.1-rubygem-gem2rpm-doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/2.1.0/doc/gem2rpm-%{version}
%endif

%if %{with ruby18}
%package -n ruby1.8-rubygem-gem2rpm
Summary:        Generate rpm specfiles from gems
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description -n ruby1.8-rubygem-gem2rpm
Generate source rpms and rpm spec files from a Ruby Gem. 
The spec file tries to follow the gem as closely as possible

%package -n ruby1.8-rubygem-gem2rpm-doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       ruby1.8-rubygem-gem2rpm = %{version}

%description -n ruby1.8-rubygem-gem2rpm-doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.


%post -n ruby1.8-rubygem-gem2rpm
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm         gem2rpm         %{_bindir}/gem2rpm.ruby1.8-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm-%{version}   gem2rpm-%{version}   %{_bindir}/gem2rpm.ruby1.8-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm.ruby1.8 gem2rpm.ruby1.8 %{_bindir}/gem2rpm.ruby1.8-%{version} %{mod_weight}

%preun -n ruby1.8-rubygem-gem2rpm
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove gem2rpm          %{_bindir}/gem2rpm.ruby1.8-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm-%{version}    %{_bindir}/gem2rpm.ruby1.8-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm.ruby1.8  %{_bindir}/gem2rpm.ruby1.8-%{version}
fi

%files -n ruby1.8-rubygem-gem2rpm
%defattr(-,root,root,-)
%{_docdir}/ruby1.8-rubygem-gem2rpm
#{_bindir}/gem2rpm-opensuse
%{_bindir}/gem2rpm.ruby1.8-%{version}
%ghost %{_bindir}/gem2rpm.ruby1.8
%ghost %{_bindir}/gem2rpm-%{version}
%ghost %{_bindir}/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm.ruby1.8
%ghost %{_sysconfdir}/alternatives/gem2rpm-%{version}
# cache file
%{_libdir}/ruby/gems/1.8/cache/gem2rpm-%{version}.gem
%{_libdir}/ruby/gems/1.8/gems/gem2rpm-%{version}
%{_libdir}/ruby/gems/1.8/specifications/gem2rpm-%{version}.gemspec

%files -n ruby1.8-rubygem-gem2rpm-doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/1.8/doc/gem2rpm-%{version}
%endif

%if %{with ruby19}
%package -n ruby1.9-rubygem-gem2rpm
Summary:        Generate rpm specfiles from gems
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description -n ruby1.9-rubygem-gem2rpm
Generate source rpms and rpm spec files from a Ruby Gem. 
The spec file tries to follow the gem as closely as possible

%package -n ruby1.9-rubygem-gem2rpm-doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       ruby1.9-rubygem-gem2rpm = %{version}

%description -n ruby1.9-rubygem-gem2rpm-doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.


%post -n ruby1.9-rubygem-gem2rpm
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm         gem2rpm         %{_bindir}/gem2rpm.ruby1.9-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm-%{version}   gem2rpm-%{version}   %{_bindir}/gem2rpm.ruby1.9-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm.ruby1.9 gem2rpm.ruby1.9 %{_bindir}/gem2rpm.ruby1.9-%{version} %{mod_weight}

%preun -n ruby1.9-rubygem-gem2rpm
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove gem2rpm          %{_bindir}/gem2rpm.ruby1.9-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm-%{version}    %{_bindir}/gem2rpm.ruby1.9-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm.ruby1.9  %{_bindir}/gem2rpm.ruby1.9-%{version}
fi

%files -n ruby1.9-rubygem-gem2rpm
%defattr(-,root,root,-)
%{_docdir}/ruby1.9-rubygem-gem2rpm
#{_bindir}/gem2rpm-opensuse
%{_bindir}/gem2rpm.ruby1.9-%{version}
%ghost %{_bindir}/gem2rpm.ruby1.9
%ghost %{_bindir}/gem2rpm-%{version}
%ghost %{_bindir}/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm.ruby1.9
%ghost %{_sysconfdir}/alternatives/gem2rpm-%{version}
# cache file
%{_libdir}/ruby/gems/1.9.1/cache/gem2rpm-%{version}.gem
%{_libdir}/ruby/gems/1.9.1/gems/gem2rpm-%{version}
%{_libdir}/ruby/gems/1.9.1/specifications/gem2rpm-%{version}.gemspec

%files -n ruby1.9-rubygem-gem2rpm-doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/1.9.1/doc/gem2rpm-%{version}
%endif

%if %{with ruby20}
%package -n ruby2.0-rubygem-gem2rpm
Summary:        Generate rpm specfiles from gems
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description -n ruby2.0-rubygem-gem2rpm
Generate source rpms and rpm spec files from a Ruby Gem. 
The spec file tries to follow the gem as closely as possible

%package -n ruby2.0-rubygem-gem2rpm-doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       ruby2.0-rubygem-gem2rpm = %{version}

%description -n ruby2.0-rubygem-gem2rpm-doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.


%post -n ruby2.0-rubygem-gem2rpm
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm         gem2rpm         %{_bindir}/gem2rpm.ruby2.0-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm-%{version}   gem2rpm-%{version}   %{_bindir}/gem2rpm.ruby2.0-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm.ruby2.0 gem2rpm.ruby2.0 %{_bindir}/gem2rpm.ruby2.0-%{version} %{mod_weight}

%preun -n ruby2.0-rubygem-gem2rpm
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove gem2rpm          %{_bindir}/gem2rpm.ruby2.0-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm-%{version}    %{_bindir}/gem2rpm.ruby2.0-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm.ruby2.0  %{_bindir}/gem2rpm.ruby2.0-%{version}
fi

%files -n ruby2.0-rubygem-gem2rpm
%defattr(-,root,root,-)
%{_docdir}/ruby2.0-rubygem-gem2rpm
#{_bindir}/gem2rpm-opensuse
%{_bindir}/gem2rpm.ruby2.0-%{version}
%ghost %{_bindir}/gem2rpm.ruby2.0
%ghost %{_bindir}/gem2rpm-%{version}
%ghost %{_bindir}/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm.ruby2.0
%ghost %{_sysconfdir}/alternatives/gem2rpm-%{version}
# cache file
%{_libdir}/ruby/gems/2.0.0/cache/gem2rpm-%{version}.gem
%{_libdir}/ruby/gems/2.0.0/gems/gem2rpm-%{version}
%{_libdir}/ruby/gems/2.0.0/specifications/gem2rpm-%{version}.gemspec

%files -n ruby2.0-rubygem-gem2rpm-doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/2.0.0/doc/gem2rpm-%{version}
%endif

%if %{with ruby22}
%package -n ruby2.2-rubygem-gem2rpm
Summary:        Generate rpm specfiles from gems
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description -n ruby2.2-rubygem-gem2rpm
Generate source rpms and rpm spec files from a Ruby Gem. 
The spec file tries to follow the gem as closely as possible

%package -n ruby2.2-rubygem-gem2rpm-doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       ruby2.2-rubygem-gem2rpm = %{version}

%description -n ruby2.2-rubygem-gem2rpm-doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.


%post -n ruby2.2-rubygem-gem2rpm
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm         gem2rpm         %{_bindir}/gem2rpm.ruby2.2-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm-%{version}   gem2rpm-%{version}   %{_bindir}/gem2rpm.ruby2.2-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    %{_bindir}/gem2rpm.ruby2.2 gem2rpm.ruby2.2 %{_bindir}/gem2rpm.ruby2.2-%{version} %{mod_weight}

%preun -n ruby2.2-rubygem-gem2rpm
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove gem2rpm          %{_bindir}/gem2rpm.ruby2.2-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm-%{version}    %{_bindir}/gem2rpm.ruby2.2-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm.ruby2.2  %{_bindir}/gem2rpm.ruby2.2-%{version}
fi

%files -n ruby2.2-rubygem-gem2rpm
%defattr(-,root,root,-)
%{_docdir}/ruby2.2-rubygem-gem2rpm
#{_bindir}/gem2rpm-opensuse
%{_bindir}/gem2rpm.ruby2.2-%{version}
%ghost %{_bindir}/gem2rpm.ruby2.2
%ghost %{_bindir}/gem2rpm-%{version}
%ghost %{_bindir}/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm
%ghost %{_sysconfdir}/alternatives/gem2rpm.ruby2.2
%ghost %{_sysconfdir}/alternatives/gem2rpm-%{version}
# cache file
%{_libdir}/ruby/gems/2.2.0/cache/gem2rpm-%{version}.gem
%{_libdir}/ruby/gems/2.2.0/gems/gem2rpm-%{version}
%{_libdir}/ruby/gems/2.2.0/specifications/gem2rpm-%{version}.gemspec

%files -n ruby2.2-rubygem-gem2rpm-doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/2.2.0/doc/gem2rpm-%{version}
%endif

%if %{with rubinius22}
%package -n rbx2.2-rubygem-gem2rpm
# MANUAL
# /MANUAL
Summary:        Generate rpm specfiles from gems
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description -n rbx2.2-rubygem-gem2rpm
Generate source rpms and rpm spec files from a Ruby Gem. 
The spec file tries to follow the gem as closely as possible.

%package -n rbx2.2-rubygem-gem2rpm-doc
Summary:        RDoc documentation for gem2rpm
Group:          Development/Languages/Ruby
Requires:       rbx2.2-rubygem-gem2rpm = %{version}

%description -n rbx2.2-rubygem-gem2rpm-doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.


%post -n rbx2.2-rubygem-gem2rpm
/usr/sbin/update-alternatives --install \
    /usr/bin/gem2rpm                      gem2rpm /usr/bin/gem2rpm.rbx2.2-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    /usr/bin/gem2rpm-%{version} gem2rpm-%{version} /usr/bin/gem2rpm.rbx2.2-%{version} %{mod_weight}
/usr/sbin/update-alternatives --install \
    /usr/bin/gem2rpm.rbx2.2     gem2rpm.rbx2.2 /usr/bin/gem2rpm.rbx2.2-%{version} %{mod_weight}

%preun -n rbx2.2-rubygem-gem2rpm
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove gem2rpm /usr/bin/gem2rpm.rbx2.2-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm-%{version} /usr/bin/gem2rpm.rbx2.2-%{version}
    /usr/sbin/update-alternatives --remove gem2rpm.rbx2.2 /usr/bin/gem2rpm.rbx2.2-%{version}
fi

%files -n rbx2.2-rubygem-gem2rpm
%defattr(-,root,root,-)
# MANUAL
# /MANUAL
/usr/share/doc/packages/rbx2.2-rubygem-gem2rpm
%{_bindir}/gem2rpm.rbx2.2-%{version}
%ghost %{_bindir}/gem2rpm.rbx2.2
%ghost %{_bindir}/gem2rpm-%{version}
%ghost %{_bindir}/gem2rpm
%ghost /etc/alternatives/gem2rpm
%ghost /etc/alternatives/gem2rpm.rbx2.2
%ghost /etc/alternatives/gem2rpm-%{version}
# cache file
%{_libdir}/rubinius/gems/2.2/cache/gem2rpm-%{version}.gem
%{_libdir}/rubinius/gems/2.2/gems/gem2rpm-%{version}
%{_libdir}/rubinius/gems/2.2/specifications/gem2rpm-%{version}.gemspec

%files -n rbx2.2-rubygem-gem2rpm-doc
%defattr(-,root,root,-)
%doc %{_libdir}/rubinius/gems/2.2/doc/gem2rpm-%{version}
%endif
%else 
%gem_packages
%endif

%changelog
* Mon Sep 22 2014 mrueckert@suse.de
- added ruby 1.9 support
* Wed Sep 17 2014 mrueckert@suse.de
- added ruby 1.8 support
- also guarded the 2.1 part
* Wed Sep 17 2014 mrueckert@suse.de
- added 0008-dont-allow-suffixes-with-just-a-plain-number.-prefix.patch
  Dont allow an suffix with just a plain number. prefix it with
  ruby.
* Wed Sep 17 2014 mrueckert@suse.de
- added ruby 2.0 support
* Mon Sep  8 2014 mrueckert@suse.de
- changed rubinius macro
* Fri Sep  5 2014 mrueckert@suse.de
- for easier bootstrapping dont use gem2rpm here for now.
* Thu Sep  4 2014 mrueckert@suse.de
- make it easier to enable rbx and ruby 2.2 support
* Wed Sep  3 2014 mrueckert@suse.de
- added support for building for rbx
* Mon Jul 28 2014 mrueckert@suse.de
- really install the templates as docs
* Thu Jul 24 2014 mrueckert@suse.de
- update to 0.10.1
  - Migrate test suite to Minitest 5.x.
  - Move gem binary extension and gem.build_complete file.
  - Merge pull request #31 from axilleas/add_check_macro
  - Add %%check macro, fix typos
  - Remove Requires/Provides which are now autogenerated.
  - Simplify binary extensions installation according to the new
    guidelines.
  - Clone new template for F21 and above. Rename the old one.
  - "cp -a" implies -p.
  - Better open mode handling.
  - Test always against rawhide template.
  - List development dependencies as BuildRequires.
  - Cache rendered template in tests.
  - Prevent dangling symlink in -debuginfo.
  - Ignore release file encoding with older Ruby (fixes #23).
  - Fix generating SRPM.
  - Add description dot test case.
  - Add description ending dot in #description method.
  - Avoid 'method is redefined' warning.
  - Test against current template.
  - Merge pull request #25 from xsuchy/pull-req-dot
  - description should end with dot
  - Merge pull request #24 from strzibny/master
  - Escape %% in comment
- rebased gem2rpm-change-default-template.diff, new name:
  0001-use-the-ID-from-os-release-to-use-the-proper-templat.patch
- rebased gem2rpm-0.9.2_config_file_support.patch, new name
  0002-added-basic-config-file-support-to-gem2rpm-in-yaml-f.patch
- rebased gem2rpm-0.9.2_sles12_template.patch, new name:
  0003-sle-12-templates.-they-require-the-config-file-suppo.patch
- rebased and splitted gem2rpm-fix-opensuse-template.diff, new
  name:
  0004-openSUSE-template-fixes.patch
  0005-added-example-gem2rpm.yml.patch
  0006-properly-shorten-description-and-summary.patch
  0007-Preserve-the-license-header-found-in-the-output-file.patch
* Wed Jul 23 2014 mrueckert@suse.de
- make sure the sle12 template is also installed
* Mon Jul 21 2014 mrueckert@suse.de
- added gem2rpm_bootstrap conditional:
  If this is set to true, the hardcoded subpackage/files sections
  are used. Otherwise it will use the normal gem2rpm based solution
- renamed gem2rpm.yml to gem2rpm.yml.documentation:
  this is just documentation and not the gem2rpm.yml that gem2rpm
  should pick up.
* Mon Jul 21 2014 mrueckert@suse.de
- added gem2rpm-0.9.2_sles12_template.patch:
  initial template for sle12 ruby packaging
- only build for 2.1 for now
* Tue Jul 15 2014 mrueckert@suse.de
- added gem2rpm.yml and install it to the installed documentation
* Tue Jul 15 2014 mrueckert@suse.de
- sles 12 template
  - allow changing the master package name with config[:name]
    This is mostly useful if you want the actual main package to
    have real content after building. all the subpackages will
    ignore config[:name] and still use the gem name.
* Tue Jul 15 2014 mrueckert@suse.de
- sles 12 template
  - add version suffix to the "spec file for ..." line
  - move the preamble up so we can actually use
    %%define rb_build_versions ...
  - config[:disable_automatic_rdoc_dep] to disable adding automatic
    rdoc dependency. This is mostly needed for building rdoc itself
    and avoiding a bootstrap cycle.
  - actually print the patch name in the preamble
  - the scripts entry in gem2rpm.yml can now be a hash or a string.
* Tue Jul 15 2014 mrueckert@suse.de
- sles 12 template
  - no longer print the gem2rpm.yml warning when the config is empty
  - add back mod_version_suffix to the spec file
    (needed for gem_install)
- converted buildrequires for ruby and ruby-devel to the macros so
  we can easily pull multiple ruby versions and also easily limit
  the ruby versions
- always buildrequire gem2rpm in generated spec files. It is the
  only clean way to solve the "have choive for rubygem(gem2rpm)"
  and still maintaining the multiversion ability
- handle config[:disable_docs] and pass --no-rdoc --no-ri to
  gem_install in that case. (mostly a workaround for the rdoc bug
  with the fastthread gem)
- added support to specify the content of the %%check section.
* Fri Jul 11 2014 mrueckert@suse.de
- if the config is nil, set it to an empty hash. this allows for
  less noisy template files.
- more updates for the sle 12 template.
* Thu Jul 10 2014 mrueckert@suse.de
- added new tag :sources in the yaml file to track additional
  sources. this makde the next change much easier.
- make sure the config file that is passed to gem2rpm is also
  appended to the sources list automatically.
- added template for sles12 (gem2rpm-0.9.2_sles12_template.patch)
* Thu Jul 10 2014 mrueckert@suse.de
- added gem2rpm-0.9.2_config_file_support.patch:
  added basic config file support to gem2rpm in yaml format. there
  is no validation as it is basically a hash where certain keys
  are picked up by our templates.
- added quilt series file to the sources list
- dropped empty doc package
* Thu Jun 26 2014 mrueckert@suse.de
- update rpm macros requires to 5
* Wed Jun 25 2014 mrueckert@suse.de
- fix filelist for multi ruby packaging
* Wed Jun 25 2014 mrueckert@suse.de
- add ruby 2.2 support
* Tue Jun 24 2014 mrueckert@suse.de
- added BuildIgnore for rubygem(gem2rpm), otherwise we can not
  bootstrap a new ruby version. this package will need the
  subpackages for a new ruby version to be created manually.
* Wed Jun 18 2014 mrueckert@suse.de
- fixed paths in the u-a scriptlets
* Wed Jun 18 2014 mrueckert@suse.de
- no longer provide gem2rpm-opensuse
- use new style packaging but the hardcoded version
* Thu Feb  6 2014 coolo@suse.com
- buildrequire ruby-devel for extensions
* Mon Jan 13 2014 coolo@suse.com
- switch to the macros Klaus wrote
- modified patches:
  * gem2rpm-fix-opensuse-template.diff
* Wed Jun 26 2013 coolo@suse.com
- doing update-alternatives correctly after reading
  http://en.opensuse.org/openSUSE:Packaging_Multiple_Version_guidelines
* Wed Jun 26 2013 coolo@suse.com
- avoid --force in update-alternatives as SLE11 does not have that ;(
* Mon Jun 10 2013 coolo@suse.com
- make sure license.txt is also symlinked
* Sat Jun  8 2013 coolo@suse.com
- integrate more of the version into the mod_weight to give
  an easier job to update-alternatives
- use --force in update-alternatives to replace (old) binaries
* Sat May 25 2013 coolo@suse.com
- include changelog and history files too
* Tue May  7 2013 coolo@suse.com
- more license files
* Thu May  2 2013 coolo@suse.com
- ciaran wants to see the license files mentioned in %%docdir, so create
  symlinks
* Sun Apr 28 2013 coolo@suse.com
- support ruby 2.0
* Sat Apr 27 2013 coolo@suse.com
- update to 0.9.2 - no changelog
* Mon Apr 22 2013 mrueckert@suse.de
- fix redirection in gem2rpm-opensuse
* Mon Mar 18 2013 coolo@suse.com
- update to 0.8.4 - fixes for fedora 18
- use url for sources
* Mon Aug  6 2012 coolo@suse.com
- buildrequire rdoc if there are options (I just picked 3.10 as
  minimum, which is one higher than what ruby 1.9.1 offers in itself)
* Wed Aug  1 2012 coolo@suse.com
- shorten the summary
* Mon Jul 30 2012 cfarrell@suse.com
- license update: GPL-2.0+
  See data/LICENSE
* Fri Jul 27 2012 coolo@suse.com
- do not use %%gem_unpack by default
* Fri Jul 27 2012 coolo@suse.com
- do not put out empty URLs
* Thu Jul 26 2012 coolo@suse.com
- fix OS detection on SLE11
* Thu Jul 26 2012 coolo@suse.com
- no longer provide stuff for older distributions, we rely on patched
  rpms
* Wed Jul 25 2012 coolo@suse.com
- do not add buildrequires, but install with -f
* Tue Jul 24 2012 coolo@suse.com
- cleanup the opensuse template
* Tue Jul 24 2012 coolo@suse.com
- update to 0.8.1, major cleanup and base on new macros
* Wed Apr  4 2012 coolo@suse.com
- small cleanup
* Wed Dec  7 2011 jreidinger@suse.com
- fix requirements, as package need to run json parser
* Wed Mar 23 2011 mrueckert@suse.de
- dont check if spec.license responds_to each. strings have that
  method too. check for join
- minor template cleanup
* Tue Mar 22 2011 jreidinger@novell.com
- Don't have hardcoded license. Try to extract it from specfile or
  if it fail force user to manually check license. It avoids
  problems with wrong license for rubygems
* Fri Feb 18 2011 mrueckert@suse.de
- remove license tag from doc/testsuite package
* Mon Jan 31 2011 mrueckert@suse.de
- small template clean up
* Thu Jan 20 2011 mrueckert@suse.de
- remove version from header comment
- calculate the year on run
* Mon Jan 17 2011 mvidner@suse.cz
- Updated openSUSE template to produce *- doc and *-testsuite subpackages.
  http://lists.opensuse.org/opensuse-ruby/2010-12/msg00001.html
* Thu Dec  9 2010 chris@computersalat.de
- update template
  o # Copyright (c) 2010
* Wed Jun  9 2010 mrueckert@suse.de
- fix typo in template:
  "requirements" is not "requirement".
* Wed Jun  9 2010 mrueckert@suse.de
- fix deprecation warning in template with newer versions of rubygems:
  version_requirements is now called requirements
* Tue May 25 2010 mrueckert@suse.de
- use rubygems_requires macro instead of repeating the
  [#]if-conditional in every package
* Tue May 25 2010 mrueckert@suse.de
- use requires_eq/requires_ge instead of hardcoding the rubygems
  version during spec generation
* Tue Mar  2 2010 prusnak@suse.cz
- use default URL when none is specified in gem (default-url.patch)
* Fri Jan 22 2010 prusnak@suse.cz
- fix version transform (fix-spec-versions.patch)
* Sat Nov 14 2009 mrueckert@suse.de
- ignore development type requires of gems
* Fri Mar 27 2009 mrueckert@suse.de
- fix opensuse template
* Fri Mar 27 2009 mrueckert@suse.de
- initial package
